#[cfg(doc)]
use super::*;

/// Fixed [type@Hash] length.
pub const HASH_SIZE: usize = 32;

/// Zeroed out array of the same length as [`type@Hash`].
/// Used in [`crate::std::nullable`].
pub const HASH_ZEROS: [u8; HASH_SIZE] = [0; HASH_SIZE];

/// For use in [`Point`]/[`Address`].
pub type Hash = [u8; HASH_SIZE];
